FUNCTION main() AS LONG
    LOCAL i AS LONG
    LOCAL s AS LONG
    LET s = 0
    FOR i = 1 TO 10
        IF i = 5 THEN ITERATE FOR
        IF i = 8 THEN EXIT FOR
        s = s + i
    NEXT
    IF s = 23 THEN
        s = s + 100
    ELSEIF s = 22 THEN
        s = s + 10
    ELSE
        s = s + 1
    ENDIF
    main = s
END FUNCTION
